﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TrackerBridge
{
    public delegate void ConnectionEventHandler(IBridgeTracker sender);
    public delegate void GazeDataHandler(GazeData data, Object sender);

    public interface IBridgeTracker
    {
        event GazeDataHandler GazeDataAvailable;
        event EventHandler<Single> TrackingFrequencyChanged;
        GazeDataProcessor GazeDataProcessor { get;}
        String SerialNumber { get; }

        Single GetTrackingFrequency();
        void SetTrackingFrequency(Single value);
    }
}
